package com.miaxis.common.enums;

import com.miaxis.common.utils.file.MimeTypeUtils;

/**
 *
 * @author chenjian
 */
public enum FileUploadTypeEnum
{
    MEDIA_EXTENSION(98, "media", MimeTypeUtils.MEDIA_EXTENSION, "音视频文件"),
    CUSTOMER_TYPE(1, "customer", MimeTypeUtils.IMAGE_EXTENSION, "商户logo"),
    CAR_BRAND(2, "car", MimeTypeUtils.IMAGE_EXTENSION, "汽车品牌logo"),
    STUDY_MOVIE(3, "study", MimeTypeUtils.MEDIA_EXTENSION, "学车视频"),
    STUDY_DSP(4, "dsp", MimeTypeUtils.MEDIA_EXTENSION, "学车短视频"),
    OTHERS(99, "others", MimeTypeUtils.DEFAULT_ALLOWED_EXTENSION, "其他文件");

    private final Integer code;
    private final String fileType;//文件类型
    private final String[] suffix;//后缀
    private final String info;

    FileUploadTypeEnum(Integer code, String fileType, String[] suffix, String info)
    {
        this.code = code;
        this.fileType = fileType;
        this.suffix = suffix;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public String getFileType()
    {
        return this.fileType;
    }

    public String[] getSuffix()
    {
        return suffix;
    }
}
